From 80e2ee241403f82538a41a7b175947b6b438c630 Mon Sep 17 00:00:00 2001
From: Ismael Luceno <ismael@iodev.co.uk>
Date: Thu, 15 May 2025 14:44:09 +0200
Subject: [PATCH] Fix build against musl libc

Origin: Source Mage
Upstream-Status: Pending
Signed-off-by: Ismael Luceno <ismael@sourcemage.org>
---
 simp/Main.cc   |    2 +-
 utils/System.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/utils/System.h b/utils/System.h
index a51d4c2ee8d3..031014e96da4 100644
--- a/utils/System.h
+++ b/utils/System.h
@@ -21,7 +21,7 @@ OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWA
 #ifndef Minisat_System_h
 #define Minisat_System_h
 
-#if defined(__linux__)
+#if defined(__linux__) && defined(__GLIBC__)
 #include <fpu_control.h>
 #endif
 
diff --git a/simp/Main.cc b/simp/Main.cc
index e59d73be0627..99ee47bea438 100644
--- a/simp/Main.cc
+++ b/simp/Main.cc
@@ -74,7 +74,7 @@ int main(int argc, char** argv)
         setUsageHelp("USAGE: %s [options] <input-file> <result-output-file>\n\n  where input may be either in plain or gzipped DIMACS.\n");
         // printf("This is MiniSat 2.0 beta\n");
         
-#if defined(__linux__)
+#if defined(__linux__) && defined(__GLIBC__)
         fpu_control_t oldcw, newcw;
         _FPU_GETCW(oldcw); newcw = (oldcw & ~_FPU_EXTENDED) | _FPU_DOUBLE; _FPU_SETCW(newcw);
         printf("WARNING: for repeatability, setting FPU to use double precision\n");
-- 
2.49.0

